import request from '@/utils/request'

// 查询售后订单操作列表
export function listLiveAfterSalesLogs(query) {
  return request({
    url: '/live/liveAfterSalesLogs/list',
    method: 'get',
    params: query
  })
}

// 查询售后订单操作详细
export function getLiveAfterSalesLogs(logsId) {
  return request({
    url: '/live/liveAfterSalesLogs/' + logsId,
    method: 'get'
  })
}

// 新增售后订单操作
export function addLiveAfterSalesLogs(data) {
  return request({
    url: '/live/liveAfterSalesLogs',
    method: 'post',
    data: data
  })
}

// 修改售后订单操作
export function updateLiveAfterSalesLogs(data) {
  return request({
    url: '/live/liveAfterSalesLogs',
    method: 'put',
    data: data
  })
}

// 删除售后订单操作
export function delLiveAfterSalesLogs(logsId) {
  return request({
    url: '/live/liveAfterSalesLogs/' + logsId,
    method: 'delete'
  })
}

// 导出售后订单操作
export function exportLiveAfterSalesLogs(query) {
  return request({
    url: '/live/liveAfterSalesLogs/export',
    method: 'get',
    params: query
  })
}
